## jcal 0.1.2

=== debian/changelog ===
jcal (0.1.2-2) unstable; urgency=low

  * Bump standards version to 3.9.1
    - Remove *.la files from libjalali-dev to comply with Policy 10.2 
      (Closes: #621549)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Lior Kaplan <kaplan@debian.org>  Fri, 08 Apr 2011 00:17:31 +0300

jcal (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control and debian/copyright
    - Changed homepage URL.
    - Use newly supported Homepage header for debian/control.
  * Updated watch file

 -- Alan Baghumian <alan@technotux.org>  Sat, 27 Oct 2007 09:28:04 +0200

jcal (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #415802).

 -- Alan Baghumian <alan@technotux.org>  Sat, 28 Apr 2007 09:43:22 +0330

=== debian/control ===
Source: jcal
Section: utils
Priority: extra
Maintainer: Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>
Uploaders: Alan Baghumian <alan@technotux.org>, Lior Kaplan <kaplan@debian.org>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.9.1
Homepage: http://savannah.nongnu.org/projects/jcal/

Package: jcal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: UNIX-cal-like tool to display Jalali calendar
 JCal is a UNIX-cal-like tool to display Jalali (Persian) calendar.

Package: libjalali0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: UNIX-cal-like tool to display Jalali calendar
 JCal is a UNIX-cal-like tool to display Jalali (Persian) calendar.
 .
 This package contains JCal library files.

Package: libjalali-dev
Section: libdevel
Architecture: any
Depends: libjalali0 (= ${binary:Version}), ${misc:Depends}
Description: UNIX-cal-like tool to display Jalali calendar
 JCal is a UNIX-cal-like tool to display Jalali (Persian) calendar.
 .
 This package contains development files for JCal library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf $(CURDIR)/debian/tmp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean config.log config.status

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
# # Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: 
	
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://dl.savannah.nongnu.org/releases/jcal/jcal-(.*)\.tar\.gz

## jcal 0.4.0

=== debian/changelog ===
jcal (0.4.0-1.1) unstable; urgency=low

  * NMU
  * Quote parameters to perform() in autogen.sh. Closes: #642722.
    Previous code would work in bash, but not sh.

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Thu, 08 Dec 2011 17:54:45 +0000

jcal (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Lior Kaplan <kaplan@debian.org>  Fri, 29 Jul 2011 14:23:37 +0200

jcal (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Lior Kaplan <kaplan@debian.org>  Thu, 28 Jul 2011 13:16:21 +0200

=== debian/control ===
Source: jcal
Section: utils
Priority: extra
Maintainer: Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>
Uploaders: Alan Baghumian <alan@technotux.org>, Lior Kaplan <kaplan@debian.org>
Build-Depends: debhelper (>= 5.0.0), automake, libtool
Standards-Version: 3.9.2
Homepage: http://savannah.nongnu.org/projects/jcal/

Package: jcal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: UNIX-cal-like tool to display Jalali calendar
 JCal is a UNIX-cal-like tool to display Jalali (Persian) calendar.

Package: libjalali0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to display Jalali calendar
 JCal is a UNIX-cal-like tool to display Jalali (Persian) calendar.
 .
 This package contains JCal library files.

Package: libjalali-dev
Section: libdevel
Architecture: any
Depends: libjalali0 (= ${binary:Version}), ${misc:Depends}
Description: development files of a library to display Jalali calendar
 JCal is a UNIX-cal-like tool to display Jalali (Persian) calendar.
 .
 This package contains development files for JCal library.

## jcal 0.4.1

=== debian/changelog ===
jcal (0.4.1-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:00 +0000

jcal (0.4.1-2) unstable; urgency=low

  * Fix FTBFS on mips: remove hardcoded link with /usr/lib (Closes: #722787)

 -- Lior Kaplan <kaplan@debian.org>  Tue, 17 Sep 2013 23:13:00 +0200

jcal (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Lior Kaplan <kaplan@debian.org>  Mon, 13 Aug 2012 00:20:10 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: jcal
 Section: utils
 Priority: extra
-Maintainer: Debian Arabic Packaging Team <debian-arabic-packages@lists.alioth.debian.org>
-Uploaders: Alan Baghumian <alan@technotux.org>, Lior Kaplan <kaplan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lior Kaplan <kaplan@debian.org>
+Uploaders: Alan Baghumian <alan@technotux.org>
 Build-Depends: debhelper (>= 5.0.0), automake, libtool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://savannah.nongnu.org/projects/jcal/
 
 Package: jcal

=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,17 @@
 	CFLAGS += -O2
 endif
 
-config.status: configure
+config.status: autogen.sh
 	dh_testdir
 	# Add here commands to configure the package.
+	./autogen.sh -an
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
+build: build-arch build-indep
 
-build: build-stamp
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp:  config.status
 	dh_testdir

## jcal 0.5.1

=== sources/pyjalali/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyjalali.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyjalali.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyjalali"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyjalali"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
jcal (0.5.1-0.2) unstable; urgency=medium

  [ Danial Behzadi ]
  * d/copyright: Add Upstream contact.
  * Non-maintainer upload

  [ Matthias Geiger ]
  * Source-only upload

 -- Matthias Geiger <werdahias@debian.org>  Wed, 30 Apr 2025 14:11:12 +0200

jcal (0.5.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.5.1
  * Update the source code repo. (Closes: #1103348)

 -- Danial Behzadi <dani.behzi@ubuntu.com>  Wed, 16 Apr 2025 19:32:16 +0330

jcal (0.4.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062467

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 13:13:19 +0000

jcal (0.4.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to debhelper 13. (Closes: #965603)
    - Update debian/control
      + Change priority from extra to optional
    - Update debian/rules
  * Install jdate command (Closes: #863753)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 30 May 2022 21:08:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,32 @@
 Source: jcal
 Section: utils
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lior Kaplan <kaplan@debian.org>
+Priority: optional
+Maintainer: Lior Kaplan <kaplan@debian.org>
 Uploaders: Alan Baghumian <alan@technotux.org>
-Build-Depends: debhelper (>= 5.0.0), automake, libtool
-Standards-Version: 3.9.4
-Homepage: http://savannah.nongnu.org/projects/jcal/
+Rules-Requires-Root: no
+Build-Depends:
+ dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
+ automake,
+ bash (>=5),
+ libreadline-dev,
+ libtool,
+Standards-Version: 4.7.2
+Homepage: https://github.com/persiancal/jcal
+Vcs-Browser: https://salsa.debian.org/danialbehzadi/jcal
+Vcs-Git: https://salsa.debian.org/danialbehzadi/jcal.git
 
 Package: jcal
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: UNIX-cal-like tool to display Jalali calendar
  JCal is a UNIX-cal-like tool to display Jalali (Persian) calendar.
+ .
+ This package contains JCal binary files.
 
 Package: libjalali0
+Provides: ${t64:Provides}
+Replaces: libjalali0t64
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)

%:
	dh $@

override_dh_auto_configure:
	cd sources && ./autogen.sh && ./configure --prefix=/usr
	dh_auto_configure

override_dh_auto_build:
	cd sources && make
	dh_auto_build

override_dh_auto_install:
	cd sources && make DESTDIR=$(CURDIR)/debian/tmp install
	dh_auto_install

=== debian/watch ===
version=4
https://github.com/persiancal/jcal/tags .*/v?(\d.*)@ARCHIVE_EXT@
